import { FileInfo } from "./FileInfo";
/**
 * Returns true if a given line might be part of an MLSD listing.
 */
export declare function testLine(line: string): boolean;
/**
 * Parse MLSD as specified by https://tools.ietf.org/html/rfc3659#section-7.
 *
 * @param line
 */
export declare function parseLine(line: string): FileInfo | undefined;
/**
 * Parse date as specified in https://tools.ietf.org/html/rfc3659#section-2.3.
 *
 * Message contains response code and modified time in the format: YYYYMMDDHHMMSS[.sss]
 * For example `19991005213102` or `19980615100045.014`.
 *
 * @param fact
 */
export declare function parseMLSxDate(fact: string): Date;
